'use strict';

function api(url) {
    return fetch(url).then((response) => {
        if (!response.ok) {
            throw new Error(response.statusText);
        }
        const contentType = response.headers.get("Content-Type");
        if (/application\/json/.test(contentType)) {
            return response.json();
        }
        return response.text();
    });
}

exports.api = api;
