'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-26d47dbc.js');

const dropdownCss = ".ux-dropdown{font-family:\"Frutiger-Bold\", sans-serif;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;text-rendering:optimizeLegibility;font-weight:400;display:block;font-size:12px;position:relative;text-transform:uppercase}.ux-dropdown__label{-ms-flex-align:center;align-items:center;border:1px solid #131313;cursor:pointer;display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;padding:13px 25px}.ux-dropdown__label svg{height:15px;-webkit-transform:rotate(0deg);transform:rotate(0deg);-webkit-transition:-webkit-transform 250ms ease-in-out;transition:-webkit-transform 250ms ease-in-out;transition:transform 250ms ease-in-out;transition:transform 250ms ease-in-out, -webkit-transform 250ms ease-in-out;width:15px}.ux-dropdown__dropdown-locator{position:absolute;z-index:1;top:calc(100% - 1px);-webkit-transform:scaleY(0);transform:scaleY(0);-webkit-transform-origin:top;transform-origin:top;-webkit-transition:-webkit-transform 250ms ease-in-out;transition:-webkit-transform 250ms ease-in-out;transition:transform 250ms ease-in-out;transition:transform 250ms ease-in-out, -webkit-transform 250ms ease-in-out;width:100%}.ux-dropdown__menu{background-color:#fff;border:1px solid #131313;border-top:0}.ux-dropdown__menu .ux-list__filter-input{border-right:0;border-left:0;margin-bottom:10px;padding-left:25px;padding-right:25px}.ux-dropdown__list>li{padding:0 25px}.ux-dropdown.ux-dropdown--down .ux-dropdown__label svg{-webkit-transform:rotate(180deg);transform:rotate(180deg)}.ux-dropdown.ux-dropdown--down .ux-dropdown__dropdown-locator{-webkit-transform:scaleY(1);transform:scaleY(1)}";

class Dropdown {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.isOpen = false;
        /** Text displayed on the Dropdown */
        this.label = "";
        /** Name Identifies the dropdown in a bigger context (for example in forms, filters) */
        this.name = "";
        /** This toggles the text-input to filter the dropdown items */
        this.filterable = false;
    }
    handleBodyClick(event) {
        if (!this.domNode.contains(event.target)) {
            this.isOpen = false;
        }
    }
    onLabelClick() {
        this.isOpen = !this.isOpen;
    }
    render() {
        return (index.h(index.Host, { class: {
                "ux-dropdown": true,
                "ux-dropdown--down": this.isOpen,
            } }, index.h("span", { class: "ux-dropdown__label", onClick: this.onLabelClick.bind(this) }, this.label, index.h("ux-icon", { name: "arrow-down" })), index.h("div", { class: "ux-dropdown__dropdown-locator" }, index.h("ux-list", { filterable: this.filterable, class: "ux-dropdown__menu" }, index.h("slot", null)))));
    }
    get domNode() { return index.getElement(this); }
}
Dropdown.style = dropdownCss;

exports.ux_dropdown = Dropdown;
