'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-26d47dbc.js');
const throttle = require('./throttle-53f2419b.js');

class InfiniteScrollSensor {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /** is true after the event was fired. This prevents the event from firing again. set this to false to re-enable the event */
        this.hasFired = false;
        /** this name will also be in the event */
        this.name = "";
        this.onScroll = throttle.throttle(() => {
            if (!this.hasFired && this.sensor !== null && isInView(this.sensor)) {
                this.hasFired = true;
                this.scrolledIntoView.emit(this.name);
            }
        }, 100);
        this.scrolledIntoView = index.createEvent(this, "uxInfiniteScrollSensorScrolledIntoView", 7);
    }
    connectedCallback() {
        document.addEventListener("scroll", this.onScroll);
    }
    disconnectedCallback() {
        document.removeEventListener("scroll", this.onScroll);
    }
    render() {
        return index.h(index.Host, { class: "ux-infinite-scroll-sensor" });
    }
    get sensor() { return index.getElement(this); }
}
function isInView(el) {
    const box = el.getBoundingClientRect();
    return box.top < window.innerHeight && box.bottom >= 0;
}

exports.ux_infinite_scroll_sensor = InfiniteScrollSensor;
