'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-26d47dbc.js');

const tabButtonCss = ".ux-tab-button{display:-ms-inline-flexbox;display:inline-flex}.ux-tab-button+.ux-tab-button{margin-left:5px}.ux-tab-button__label{color:#131313;cursor:pointer;display:block;padding:8px 10px;position:relative;-webkit-transition:color 250ms ease-in-out;transition:color 250ms ease-in-out}.ux-tab-button__label::after{background-color:#bbd03a;content:\"\";display:block;height:3px;position:absolute;bottom:0;left:0;-webkit-transform:scaleX(0);transform:scaleX(0);-webkit-transform-origin:center;transform-origin:center;-webkit-transition:-webkit-transform 250ms ease-in-out;transition:-webkit-transform 250ms ease-in-out;transition:transform 250ms ease-in-out;transition:transform 250ms ease-in-out, -webkit-transform 250ms ease-in-out;width:100%}.ux-tab-button__label:hover{color:#595959}.ux-tab-button__label:hover::after{-webkit-transform:scaleX(1);transform:scaleX(1)}.ux-tab-button.is-active .ux-tab-button__label::after{-webkit-transform:scaleX(1);transform:scaleX(1)}";

class TabButton {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /** Displays the label of the tab */
        this.name = "";
        /** Contains this tabs ID */
        this.tabId = "";
        this.active = false;
    }
    componentWillLoad() {
        this.active = this.activeTab === this.tabId;
    }
    render() {
        return (index.h(index.Host, { class: `ux-tab-button ${this.active ? "is-active" : ""}` }, index.h("div", { class: "ux-tab-button__label", id: this.tabId }, this.name)));
    }
    get domNode() { return index.getElement(this); }
    static get watchers() { return {
        "activeTab": ["componentWillLoad"]
    }; }
}
TabButton.style = tabButtonCss;

exports.ux_tab_button = TabButton;
