'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-26d47dbc.js');

const tabContainerCss = ".ux-tab-container{display:block}.ux-tab-container__tab-header{-ms-flex-pack:start;justify-content:flex-start;border-bottom:1px solid #c4c4c4;display:-ms-flexbox;display:flex}.ux-tab-container__tab-body{padding-top:15px}";

class TabContainer {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /** prop which holds the active tab id */
        this.activeTabId = "";
        /** when this is true, the tab navigation will not be displayed */
        this.noNavigation = false;
        this.activeTabEvent = index.createEvent(this, "uxActiveTabSet", 7);
    }
    /** id of the tab which will be active */
    async setActiveTab(id) {
        this.activeTabId = id;
        this.activeTabEvent.emit(id);
    }
    componentWillLoad() {
        var _a;
        const children = Array.from(this.domNode.children);
        this.children = children;
        if (this.activeTabId !== "") {
            this.setActiveTab(this.activeTabId);
        }
        else {
            this.setActiveTab((_a = this.children[0]) === null || _a === void 0 ? void 0 : _a.tabId);
        }
    }
    render() {
        return (index.h(index.Host, { class: "ux-tab-container" }, !this.noNavigation && (index.h("div", { class: "ux-tab-container__tab-header" }, this.children.map((tab) => (index.h("ux-tab-button", { onClick: () => this.setActiveTab(tab.tabId), name: tab.name, tabId: tab.tabId, activeTab: this.activeTabId }))))), index.h("div", { class: "ux-tab-container__tab-body" }, index.h("slot", null))));
    }
    get domNode() { return index.getElement(this); }
}
TabContainer.style = tabContainerCss;

exports.ux_tab_container = TabContainer;
