'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-26d47dbc.js');
const element = require('./element-e6d92b83.js');

const tabSwitcherCss = ".ux-tab-switcher.ux-button--icon-only .ux-icon{-webkit-transform:translateY(-50%);transform:translateY(-50%);margin-top:50%}";

element.applyPolyfills();
class TabSwitcher {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /** identifier of the targeted tab */
        this.tabId = "";
        this.tabContainer = null;
        /** shows the button as activated - this should be in sync with the tab */
        this.active = false;
    }
    componentWillLoad() {
        if (this.tabId === "")
            return;
        this.tabContainer = document
            .querySelector(`ux-tab[tab-id=${this.tabId}]`)
            .closest("ux-tab-container");
        this.active = this.tabContainer.activeTabId === this.tabId;
        this.tabContainer.addEventListener("uxActiveTabSet", (e) => {
            this.active = e.detail === this.tabId;
        });
    }
    render() {
        return (index.h(index.Host, { class: `ux-tab-switcher ux-button ux-button--${this.active ? "toggle-active" : "toggle"}`, onClick: () => {
                if (this.tabContainer === null || this.tabId === "")
                    return;
                this.tabContainer.setActiveTab(this.tabId);
            } }, index.h("slot", null)));
    }
}
TabSwitcher.style = tabSwitcherCss;

exports.ux_tab_switcher = TabSwitcher;
