'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-26d47dbc.js');

const tabCss = ".ux-tab{display:none}.ux-tab.is-active{display:block}";

class Tab {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /** Sets the name for the corresponding tab-button */
        this.name = "";
        /** Sets ID for Tab */
        this.tabId = "";
        /** Boolean to indicate active tab */
        this.active = false;
    }
    setActiveTab(event) {
        this.active = event.detail === this.tabId;
    }
    render() {
        return (index.h(index.Host, { class: `ux-tab ${this.active ? "is-active" : ""}` }, index.h("slot", null)));
    }
    get domNode() { return index.getElement(this); }
}
Tab.style = tabCss;

exports.ux_tab = Tab;
