import { Component, h, Prop, Host } from "@stencil/core";
export class CheckboxListItem {
    constructor() {
        /** name which is used for checkbox groups or as identifier in forms  */
        this.name = "";
        /** indicates if the checkbox is checked */
        this.checked = false;
        /** indicates if the checkbox is disabled */
        this.disabled = false;
    }
    render() {
        const baseClass = "ux-checkbox-list-item";
        return (h(Host, { class: baseClass },
            h("ux-checkbox", { value: this.value, label: this.label, name: this.name, checked: this.checked, disabled: this.disabled },
                h("slot", null))));
    }
    static get is() { return "ux-checkbox-list-item"; }
    static get originalStyleUrls() { return {
        "$": ["checkbox-list-item.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["checkbox-list-item.css"]
    }; }
    static get properties() { return {
        "value": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "this value is used on the checkbox inside this item"
            },
            "attribute": "value",
            "reflect": false
        },
        "label": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "This is the label that is displayed for this item inside the dropdown"
            },
            "attribute": "label",
            "reflect": false
        },
        "name": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "name which is used for checkbox groups or as identifier in forms"
            },
            "attribute": "name",
            "reflect": false,
            "defaultValue": "\"\""
        },
        "checked": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "indicates if the checkbox is checked"
            },
            "attribute": "checked",
            "reflect": false,
            "defaultValue": "false"
        },
        "disabled": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "indicates if the checkbox is disabled"
            },
            "attribute": "disabled",
            "reflect": false,
            "defaultValue": "false"
        }
    }; }
}
