import { Component, State, Host, Element, Prop, h, Listen, } from "@stencil/core";
export class Dropdown {
    constructor() {
        this.isOpen = false;
        /** Text displayed on the Dropdown */
        this.label = "";
        /** Name Identifies the dropdown in a bigger context (for example in forms, filters) */
        this.name = "";
        /** This toggles the text-input to filter the dropdown items */
        this.filterable = false;
    }
    handleBodyClick(event) {
        if (!this.domNode.contains(event.target)) {
            this.isOpen = false;
        }
    }
    onLabelClick() {
        this.isOpen = !this.isOpen;
    }
    render() {
        return (h(Host, { class: {
                "ux-dropdown": true,
                "ux-dropdown--down": this.isOpen,
            } },
            h("span", { class: "ux-dropdown__label", onClick: this.onLabelClick.bind(this) },
                this.label,
                h("ux-icon", { name: "arrow-down" })),
            h("div", { class: "ux-dropdown__dropdown-locator" },
                h("ux-list", { filterable: this.filterable, class: "ux-dropdown__menu" },
                    h("slot", null)))));
    }
    static get is() { return "ux-dropdown"; }
    static get originalStyleUrls() { return {
        "$": ["dropdown.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["dropdown.css"]
    }; }
    static get properties() { return {
        "label": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Text displayed on the Dropdown"
            },
            "attribute": "label",
            "reflect": true,
            "defaultValue": "\"\""
        },
        "name": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Name Identifies the dropdown in a bigger context (for example in forms, filters)"
            },
            "attribute": "name",
            "reflect": true,
            "defaultValue": "\"\""
        },
        "filterable": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "This toggles the text-input to filter the dropdown items"
            },
            "attribute": "filterable",
            "reflect": true,
            "defaultValue": "false"
        }
    }; }
    static get states() { return {
        "isOpen": {}
    }; }
    static get elementRef() { return "domNode"; }
    static get listeners() { return [{
            "name": "click",
            "method": "handleBodyClick",
            "target": "body",
            "capture": false,
            "passive": false
        }]; }
}
