import { Component, h, Host, Event, Prop } from "@stencil/core";
export class Select {
    constructor() {
        /** input name which is used as identifier in forms  */
        this.name = "";
    }
    /** function to emit new active option value */
    selectChange(newValue) {
        this.changeEventDetail.emit(newValue.value);
    }
    render() {
        return (h(Host, { class: "ux-select" },
            h("ux-icon", { class: "ux-select__icon", name: "arrow-down" }),
            h("select", { class: "ux-select__select", onChange: (e) => this.selectChange(e.target), name: this.name },
                h("slot", null))));
    }
    static get is() { return "ux-select"; }
    static get originalStyleUrls() { return {
        "$": ["select.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["select.css"]
    }; }
    static get properties() { return {
        "name": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "input name which is used as identifier in forms"
            },
            "attribute": "name",
            "reflect": true,
            "defaultValue": "\"\""
        }
    }; }
    static get events() { return [{
            "method": "changeEventDetail",
            "name": "uxSelectChange",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "event to set the currently active option"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
