import { Component, Host, Prop, h, Element, Watch, State } from "@stencil/core";
export class TabButton {
    constructor() {
        /** Displays the label of the tab */
        this.name = "";
        /** Contains this tabs ID */
        this.tabId = "";
        this.active = false;
    }
    componentWillLoad() {
        this.active = this.activeTab === this.tabId;
    }
    render() {
        return (h(Host, { class: `ux-tab-button ${this.active ? "is-active" : ""}` },
            h("div", { class: "ux-tab-button__label", id: this.tabId }, this.name)));
    }
    static get is() { return "ux-tab-button"; }
    static get originalStyleUrls() { return {
        "$": ["tab-button.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["tab-button.css"]
    }; }
    static get properties() { return {
        "name": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Displays the label of the tab"
            },
            "attribute": "name",
            "reflect": true,
            "defaultValue": "\"\""
        },
        "activeTab": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Contains the current active tab string"
            },
            "attribute": "active-tab",
            "reflect": true
        },
        "tabId": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Contains this tabs ID"
            },
            "attribute": "tab-id",
            "reflect": true,
            "defaultValue": "\"\""
        }
    }; }
    static get states() { return {
        "active": {}
    }; }
    static get elementRef() { return "domNode"; }
    static get watchers() { return [{
            "propName": "activeTab",
            "methodName": "componentWillLoad"
        }]; }
}
