import { Component, Host, Prop, h, Element, Listen, State, } from "@stencil/core";
export class Tab {
    constructor() {
        /** Sets the name for the corresponding tab-button */
        this.name = "";
        /** Sets ID for Tab */
        this.tabId = "";
        /** Boolean to indicate active tab */
        this.active = false;
    }
    setActiveTab(event) {
        this.active = event.detail === this.tabId;
    }
    render() {
        return (h(Host, { class: `ux-tab ${this.active ? "is-active" : ""}` },
            h("slot", null)));
    }
    static get is() { return "ux-tab"; }
    static get originalStyleUrls() { return {
        "$": ["tab.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["tab.css"]
    }; }
    static get properties() { return {
        "name": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Sets the name for the corresponding tab-button"
            },
            "attribute": "name",
            "reflect": true,
            "defaultValue": "\"\""
        },
        "tabId": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Sets ID for Tab"
            },
            "attribute": "tab-id",
            "reflect": true,
            "defaultValue": "\"\""
        }
    }; }
    static get states() { return {
        "active": {}
    }; }
    static get elementRef() { return "domNode"; }
    static get listeners() { return [{
            "name": "uxActiveTabSet",
            "method": "setActiveTab",
            "target": "parent",
            "capture": false,
            "passive": false
        }]; }
}
