import { Component, Host, h, Element, Event, Prop, } from "@stencil/core";
export class Tag {
    removeTag() {
        this.remove.emit(this.reference);
        this.domNode.remove();
    }
    render() {
        return (h(Host, { class: "ux-tag", onClick: (e) => {
                e.preventDefault();
                this.removeTag();
            } },
            h("span", { class: "ux-tag__label" },
                h("slot", null)),
            h("ux-icon", { name: "close" })));
    }
    static get is() { return "ux-tag"; }
    static get properties() { return {
        "reference": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "This connects the tag with the container"
            },
            "attribute": "reference",
            "reflect": true
        }
    }; }
    static get events() { return [{
            "method": "remove",
            "name": "uxRemove",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "when the tag is removed"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
    static get elementRef() { return "domNode"; }
}
