export function getAttributes(element) {
    if (typeof element === "undefined")
        return {};
    const nodeMap = element.attributes;
    const length = nodeMap.length;
    return Object.keys(nodeMap).reduce((props, current) => {
        try {
            const numCurrent = parseInt(current);
            if (numCurrent < length) {
                const property = nodeMap[current];
                return Object.assign(Object.assign({}, props), { [property.name]: property.value });
            }
        }
        catch (err) {
            // nothing
        }
    }, {});
}
