import { r as registerInstance, h, H as Host } from './index-6beb7a83.js';
/** returns the matched part and the remaining part of the text */
var getSuggestionHighlight = function (input, text) {
    var firstPart = text.substring(0, input.length);
    if (firstPart.toLowerCase() !== input.toLowerCase()) {
        return ["", text];
    }
    var matchedString = firstPart;
    var remaining = text.substring(input.length);
    return [matchedString, remaining];
};
var autosuggestItemCss = ".ux-autosuggest-item{font-family:\"Frutiger-Light\", sans-serif;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;text-rendering:optimizeLegibility;font-weight:400;display:-ms-flexbox;display:flex;border-bottom:solid 1px #c4c4c4;color:#393939;background-color:#fff}.ux-autosuggest-item__image{width:75px;height:75px;background-size:cover;background-color:#e7e7e7}.ux-autosuggest-item__text-container{padding:15px}.ux-autosuggest-item__highlight{color:#bbd03a}.ux-autosuggest-item__subline{text-transform:uppercase}";
var AutosuggestItem = /** @class */ (function () {
    function AutosuggestItem(hostRef) {
        registerInstance(this, hostRef);
        /** search query that will be highlighted in the text */
        this.input = "";
        /** suggestion text that matches the input */
        this.text = "";
        /** subline below the text */
        this.subline = "";
        /** optional image URL */
        this.image = "";
    }
    AutosuggestItem.prototype.render = function () {
        var baseClass = "ux-autosuggest-item";
        var _a = this, text = _a.text, subline = _a.subline, image = _a.image, input = _a.input;
        var _b = getSuggestionHighlight(input, text), highlight = _b[0], remaining = _b[1];
        return (h(Host, { class: baseClass }, image !== "" && (h("div", { class: baseClass + "__image", style: { backgroundImage: "url(" + image + ")" } })), h("div", { class: baseClass + "__text-container" }, h("div", { class: baseClass + "__text" }, h("span", { class: baseClass + "__highlight" }, highlight), remaining), h("div", { class: baseClass + "__subline ux-text-tiny ux-text-tiny--bold" }, subline))));
    };
    return AutosuggestItem;
}());
AutosuggestItem.style = autosuggestItemCss;
export { AutosuggestItem as ux_autosuggest_item };
