import { r as registerInstance, h, H as Host } from './index-6beb7a83.js';
var checkboxCss = ".ux-checkbox{display:inline-block;position:relative}.ux-checkbox--disabled{pointer-events:none}.ux-checkbox--disabled::before{content:\" \";display:block;position:absolute;width:100%;height:100%;left:0;top:0;background-color:rgba(255, 255, 255, 0.7);z-index:3}.ux-checkbox__wrapper{-ms-flex-align:center;align-items:center;cursor:pointer;display:-ms-inline-flexbox;display:inline-flex;position:relative;vertical-align:middle;width:100%;padding-bottom:10px}.ux-checkbox__input{opacity:0;position:absolute}.ux-checkbox__icon{background-position:center;background-repeat:no-repeat;display:inline-block;font-variant:normal;font-weight:normal;height:20px;line-height:1;speak:none;text-rendering:optimizeLegibility;text-transform:none;width:20px;-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased}.ux-checkbox__icon--unchecked{background-image:url(\"data:image/svg+xml;charset%3DUS-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2020%2020%22%20style%3D%22enable-background%3Anew%200%200%2020%2020%22%3E%3Cpath%20style%3D%22fill%3A%23010202%22%20d%3D%22M19%200H0v20h20V0h-1zm0%2019H1V1h18v18z%22%2F%3E%3C%2Fsvg%3E\")}.ux-checkbox__icon--checked{background-image:url(\"data:image/svg+xml;charset%3DUS-ASCII,%3Csvg%20data-name%3D%22Ebene%201%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2030%2030%22%3E%3Ctitle%3Echeckbox_checked%3C%2Ftitle%3E%3Cpath%20d%3D%22M29%200H0v30h30V0h-1zm-1%2028H2V2h26v26z%22%2F%3E%3Cpath%20d%3D%22M12.9%2019.91l1.05-1.04%208.88-8.89-1.04-1.04-8.89%208.88-4.18-4.18-1.04%201.05%204.18%204.18%201.04%201.04z%22%2F%3E%3C%2Fsvg%3E\")}.ux-checkbox__label{font-family:\"Frutiger-Bold\", sans-serif;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;text-rendering:optimizeLegibility;font-weight:400;font-size:12px;line-height:20px;margin-left:10px;text-transform:uppercase}.ux-checkbox__input:not(:checked)~.ux-checkbox__icon--checked{display:none}.ux-checkbox__input:checked~.ux-checkbox__icon--unchecked{display:none}";
var Checkbox = /** @class */ (function () {
    function Checkbox(hostRef) {
        registerInstance(this, hostRef);
        /** value of the input element, not visible to the user */
        this.value = "";
        /** text inside the label element, visible to the user */
        this.label = "";
        /** name which is used for checkbox groups or as identifier in forms */
        this.name = "";
        /** indicates if the checkbox is checked */
        this.checked = false;
        /** indicates if the checkbox is disabled */
        this.disabled = false;
    }
    Checkbox.prototype.render = function () {
        var _a;
        var baseClass = "ux-checkbox";
        return (h(Host, { class: (_a = {},
                _a[baseClass] = true,
                _a[baseClass + "--disabled"] = this.disabled,
                _a) }, h("label", { class: baseClass + "__wrapper" }, h("input", { class: baseClass + "__input", type: "checkbox", value: this.value, name: this.name, checked: this.checked, disabled: this.disabled }), h("span", { class: baseClass + "__icon " + baseClass + "__icon--unchecked" }), h("span", { class: baseClass + "__icon " + baseClass + "__icon--checked" }), h("span", { class: baseClass + "__label" }, this.label, " ", h("slot", null)))));
    };
    return Checkbox;
}());
Checkbox.style = checkboxCss;
var checkboxListItemCss = ".ux-checkbox-list-item{display:block}";
var CheckboxListItem = /** @class */ (function () {
    function CheckboxListItem(hostRef) {
        registerInstance(this, hostRef);
        /** name which is used for checkbox groups or as identifier in forms  */
        this.name = "";
        /** indicates if the checkbox is checked */
        this.checked = false;
        /** indicates if the checkbox is disabled */
        this.disabled = false;
    }
    CheckboxListItem.prototype.render = function () {
        var baseClass = "ux-checkbox-list-item";
        return (h(Host, { class: baseClass }, h("ux-checkbox", { value: this.value, label: this.label, name: this.name, checked: this.checked, disabled: this.disabled }, h("slot", null))));
    };
    return CheckboxListItem;
}());
CheckboxListItem.style = checkboxListItemCss;
export { Checkbox as ux_checkbox, CheckboxListItem as ux_checkbox_list_item };
