import { r as registerInstance, c as createEvent, h, g as getElement, H as Host } from './index-6beb7a83.js';
import { t as throttle } from './throttle-2fb7d237.js';
var InfiniteScrollSensor = /** @class */ (function () {
    function InfiniteScrollSensor(hostRef) {
        var _this = this;
        registerInstance(this, hostRef);
        /** is true after the event was fired. This prevents the event from firing again. set this to false to re-enable the event */
        this.hasFired = false;
        /** this name will also be in the event */
        this.name = "";
        this.onScroll = throttle(function () {
            if (!_this.hasFired && _this.sensor !== null && isInView(_this.sensor)) {
                _this.hasFired = true;
                _this.scrolledIntoView.emit(_this.name);
            }
        }, 100);
        this.scrolledIntoView = createEvent(this, "uxInfiniteScrollSensorScrolledIntoView", 7);
    }
    InfiniteScrollSensor.prototype.connectedCallback = function () {
        document.addEventListener("scroll", this.onScroll);
    };
    InfiniteScrollSensor.prototype.disconnectedCallback = function () {
        document.removeEventListener("scroll", this.onScroll);
    };
    InfiniteScrollSensor.prototype.render = function () {
        return h(Host, { class: "ux-infinite-scroll-sensor" });
    };
    Object.defineProperty(InfiniteScrollSensor.prototype, "sensor", {
        get: function () { return getElement(this); },
        enumerable: false,
        configurable: true
    });
    return InfiniteScrollSensor;
}());
function isInView(el) {
    var box = el.getBoundingClientRect();
    return box.top < window.innerHeight && box.bottom >= 0;
}
export { InfiniteScrollSensor as ux_infinite_scroll_sensor };
