var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
import { r as registerInstance, h, H as Host, g as getElement } from './index-6beb7a83.js';
var listCss = "ux-list{display:block}ux-list>ul{list-style-type:none;padding:0;margin:0}ux-list>ul>li{padding:0 15px}ux-list .ux-dropdown__item--hidden{display:none}";
var hiddenClass = "ux-dropdown__item--hidden";
var List = /** @class */ (function () {
    function List(hostRef) {
        registerInstance(this, hostRef);
        /** enables the search field inside the list */
        this.filterable = false;
        this.items = [];
        this.slotLabels = [];
        this.filterString = "";
        /** list element that hosts all items */
        this.ul = null;
    }
    List.prototype.componentDidLoad = function () {
        var _this = this;
        if (this.ul === null)
            return;
        [].forEach.call(this.ul.children, function (child, i) {
            var label = child.getAttribute("label");
            if (!child.matches("li")) {
                // wrap child in li element
                var li = document.createElement("li");
                child.parentNode.insertBefore(li, child);
                li.appendChild(child);
            }
            _this.slotLabels[i] = label;
        });
    };
    /** returns true when item should be shown according to the filter */
    List.prototype.isInFilter = function (itemName) {
        return (this.filterString.length === 0 ||
            itemName.toLowerCase().indexOf(this.filterString) !== -1);
    };
    /** set the Content from outside */
    List.prototype.setFilterValues = function (filterValues) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                this.items = filterValues;
                return [2 /*return*/];
            });
        });
    };
    List.prototype.onFilterChange = function (event) {
        var _this = this;
        this.filterString = event.target.value.toLowerCase();
        if (this.items.length > 0)
            return;
        this.slotLabels.forEach(function (label, i) {
            var element = _this.ul.children[i];
            if (_this.isInFilter(label)) {
                element.classList.remove(hiddenClass);
            }
            else {
                element.classList.add(hiddenClass);
            }
        });
    };
    List.prototype.render = function () {
        var _this = this;
        var filterInput = this.filterable && (h("div", { class: "ux-list__filter" }, h("input", { class: "ux-list__filter-input ux-input", type: "text", placeholder: "Search", onKeyUp: this.onFilterChange.bind(this) })));
        var hasItems = this.items.length > 0;
        return (h(Host, null, filterInput, h("ul", { ref: function (el) { return (_this.ul = el); }, class: "ux-dropdown__list" }, h("slot", null), hasItems &&
            this.items.map(function (item) {
                var _a;
                return (h("li", { class: (_a = {},
                        _a[hiddenClass] = !_this.isInFilter(item.label),
                        _a) }, h("ux-checkbox-list-item", { label: item.label, value: item.value })));
            }))));
    };
    Object.defineProperty(List.prototype, "domNode", {
        get: function () { return getElement(this); },
        enumerable: false,
        configurable: true
    });
    return List;
}());
List.style = listCss;
export { List as ux_list };
