import { r as registerInstance, h } from './index-6beb7a83.js';
function scrollToTopFallBack() {
    if (window.scrollY !== 0) {
        setTimeout(function () {
            window.scroll(0, window.scrollY - 40);
            scrollToTopFallBack();
        }, 20);
    }
}
function scrollToTop() {
    var behaviorSupported = false;
    try {
        window.scroll({
            // @ts-ignore
            get behavior() {
                behaviorSupported = true;
                return "smooth";
            },
        });
    }
    catch (err) {
        console.error(err);
    }
    if (behaviorSupported) {
        window.scroll({
            top: 0,
            behavior: "smooth",
        });
    }
    else {
        scrollToTopFallBack();
    }
}
var scrollToTopButtonCss = ".ux-scroll-to-top-button{display:inline-block;min-height:44px;min-width:44px;padding:9px 12px 7px}.ux-scroll-to-top-button .ux-icon{font-size:18px}.ux-scroll-to-top-button:hover svg{fill:#fff}";
var ScrollToTopButton = /** @class */ (function () {
    function ScrollToTopButton(hostRef) {
        registerInstance(this, hostRef);
    }
    ScrollToTopButton.prototype.render = function () {
        return (h("button", { class: "ux-scroll-to-top-button ux-button", onClick: function () { return scrollToTop(); } }, h("ux-icon", { name: "arrow-small-up" })));
    };
    return ScrollToTopButton;
}());
ScrollToTopButton.style = scrollToTopButtonCss;
export { ScrollToTopButton as ux_scroll_to_top_button };
