import { r as registerInstance, h, H as Host, g as getElement } from './index-6beb7a83.js';
var tabButtonCss = ".ux-tab-button{display:-ms-inline-flexbox;display:inline-flex}.ux-tab-button+.ux-tab-button{margin-left:5px}.ux-tab-button__label{color:#131313;cursor:pointer;display:block;padding:8px 10px;position:relative;-webkit-transition:color 250ms ease-in-out;transition:color 250ms ease-in-out}.ux-tab-button__label::after{background-color:#bbd03a;content:\"\";display:block;height:3px;position:absolute;bottom:0;left:0;-webkit-transform:scaleX(0);transform:scaleX(0);-webkit-transform-origin:center;transform-origin:center;-webkit-transition:-webkit-transform 250ms ease-in-out;transition:-webkit-transform 250ms ease-in-out;transition:transform 250ms ease-in-out;transition:transform 250ms ease-in-out, -webkit-transform 250ms ease-in-out;width:100%}.ux-tab-button__label:hover{color:#595959}.ux-tab-button__label:hover::after{-webkit-transform:scaleX(1);transform:scaleX(1)}.ux-tab-button.is-active .ux-tab-button__label::after{-webkit-transform:scaleX(1);transform:scaleX(1)}";
var TabButton = /** @class */ (function () {
    function TabButton(hostRef) {
        registerInstance(this, hostRef);
        /** Displays the label of the tab */
        this.name = "";
        /** Contains this tabs ID */
        this.tabId = "";
        this.active = false;
    }
    TabButton.prototype.componentWillLoad = function () {
        this.active = this.activeTab === this.tabId;
    };
    TabButton.prototype.render = function () {
        return (h(Host, { class: "ux-tab-button " + (this.active ? "is-active" : "") }, h("div", { class: "ux-tab-button__label", id: this.tabId }, this.name)));
    };
    Object.defineProperty(TabButton.prototype, "domNode", {
        get: function () { return getElement(this); },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TabButton, "watchers", {
        get: function () {
            return {
                "activeTab": ["componentWillLoad"]
            };
        },
        enumerable: false,
        configurable: true
    });
    return TabButton;
}());
TabButton.style = tabButtonCss;
export { TabButton as ux_tab_button };
