import { r as registerInstance, h, H as Host } from './index-6beb7a83.js';
import { a as applyPolyfills } from './element-f64f78c4.js';
var tabSwitcherCss = ".ux-tab-switcher.ux-button--icon-only .ux-icon{-webkit-transform:translateY(-50%);transform:translateY(-50%);margin-top:50%}";
applyPolyfills();
var TabSwitcher = /** @class */ (function () {
    function TabSwitcher(hostRef) {
        registerInstance(this, hostRef);
        /** identifier of the targeted tab */
        this.tabId = "";
        this.tabContainer = null;
        /** shows the button as activated - this should be in sync with the tab */
        this.active = false;
    }
    TabSwitcher.prototype.componentWillLoad = function () {
        var _this = this;
        if (this.tabId === "")
            return;
        this.tabContainer = document
            .querySelector("ux-tab[tab-id=" + this.tabId + "]")
            .closest("ux-tab-container");
        this.active = this.tabContainer.activeTabId === this.tabId;
        this.tabContainer.addEventListener("uxActiveTabSet", function (e) {
            _this.active = e.detail === _this.tabId;
        });
    };
    TabSwitcher.prototype.render = function () {
        var _this = this;
        return (h(Host, { class: "ux-tab-switcher ux-button ux-button--" + (this.active ? "toggle-active" : "toggle"), onClick: function () {
                if (_this.tabContainer === null || _this.tabId === "")
                    return;
                _this.tabContainer.setActiveTab(_this.tabId);
            } }, h("slot", null)));
    };
    return TabSwitcher;
}());
TabSwitcher.style = tabSwitcherCss;
export { TabSwitcher as ux_tab_switcher };
