import { r as registerInstance, c as createEvent, h, H as Host, g as getElement } from './index-6beb7a83.js';
import { a as applyPolyfills } from './element-f64f78c4.js';
var tableSortCss = ".ux-table-sort{cursor:pointer}.ux-table-sort[sorted-direction=asc]{border-bottom:solid 1px}.ux-table-sort[sorted-direction=asc] .ux-icon__sort-down{fill:#bbd03a}.ux-table-sort[sorted-direction=desc]{border-bottom:solid 1px}.ux-table-sort[sorted-direction=desc] .ux-icon__sort-up{fill:#bbd03a}.ux-table-sort__icon{font-size:12px;fill:currentColor}";
applyPolyfills();
var TableSort = /** @class */ (function () {
    function TableSort(hostRef) {
        registerInstance(this, hostRef);
        /** indicates in which direction the data is already sorted. This has to be empty when it is not sorted yet. Setting this does not trigger the sorting event. Clicking the button will update this attribute. */
        this.sortedDirection = "";
        this.sortEvent = createEvent(this, "uxTableSort", 7);
    }
    TableSort.prototype.sort = function () {
        var _this = this;
        this.sortedDirection = this.sortedDirection !== "asc" ? "asc" : "desc";
        var name = this.sortedDirection === "asc" ? this.ascName : this.descName;
        this.sortEvent.emit(name);
        var allSorters = this.domElement
            .closest("tr")
            .querySelectorAll("ux-table-sort");
        [].forEach.call(allSorters, function (element) {
            if (element.isEqualNode(_this.domElement))
                return;
            element.sortedDirection = "";
        });
    };
    TableSort.prototype.render = function () {
        var _this = this;
        var baseClass = "ux-table-sort";
        return (h(Host, { class: baseClass, onClick: function () { return _this.sort(); } }, h("slot", null), "\u00A0", h("ux-icon", { class: baseClass + "__icon", name: "sort" })));
    };
    Object.defineProperty(TableSort.prototype, "domElement", {
        get: function () { return getElement(this); },
        enumerable: false,
        configurable: true
    });
    return TableSort;
}());
TableSort.style = tableSortCss;
export { TableSort as ux_table_sort };
