import { r as registerInstance, c as createEvent, h, H as Host } from './index-6beb7a83.js';

const selectCss = ".ux-select{display:inline-block}";

class Select {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /** input name which is used as identifier in forms  */
        this.name = "";
        this.changeEventDetail = createEvent(this, "uxSelectChange", 7);
    }
    /** function to emit new active option value */
    selectChange(newValue) {
        this.changeEventDetail.emit(newValue.value);
    }
    render() {
        return (h(Host, { class: "ux-select" }, h("ux-icon", { class: "ux-select__icon", name: "arrow-down" }), h("select", { class: "ux-select__select", onChange: (e) => this.selectChange(e.target), name: this.name }, h("slot", null))));
    }
}
Select.style = selectCss;

export { Select as ux_select };
