import { r as registerInstance, c as createEvent, h, H as Host, g as getElement } from './index-6beb7a83.js';

const tabContainerCss = ".ux-tab-container{display:block}.ux-tab-container__tab-header{-ms-flex-pack:start;justify-content:flex-start;border-bottom:1px solid #c4c4c4;display:-ms-flexbox;display:flex}.ux-tab-container__tab-body{padding-top:15px}";

class TabContainer {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /** prop which holds the active tab id */
        this.activeTabId = "";
        /** when this is true, the tab navigation will not be displayed */
        this.noNavigation = false;
        this.activeTabEvent = createEvent(this, "uxActiveTabSet", 7);
    }
    /** id of the tab which will be active */
    async setActiveTab(id) {
        this.activeTabId = id;
        this.activeTabEvent.emit(id);
    }
    componentWillLoad() {
        var _a;
        const children = Array.from(this.domNode.children);
        this.children = children;
        if (this.activeTabId !== "") {
            this.setActiveTab(this.activeTabId);
        }
        else {
            this.setActiveTab((_a = this.children[0]) === null || _a === void 0 ? void 0 : _a.tabId);
        }
    }
    render() {
        return (h(Host, { class: "ux-tab-container" }, !this.noNavigation && (h("div", { class: "ux-tab-container__tab-header" }, this.children.map((tab) => (h("ux-tab-button", { onClick: () => this.setActiveTab(tab.tabId), name: tab.name, tabId: tab.tabId, activeTab: this.activeTabId }))))), h("div", { class: "ux-tab-container__tab-body" }, h("slot", null))));
    }
    get domNode() { return getElement(this); }
}
TabContainer.style = tabContainerCss;

export { TabContainer as ux_tab_container };
