import { r as registerInstance, h, H as Host } from './index-6beb7a83.js';
import { a as applyPolyfills } from './element-f64f78c4.js';

const tabSwitcherCss = ".ux-tab-switcher.ux-button--icon-only .ux-icon{-webkit-transform:translateY(-50%);transform:translateY(-50%);margin-top:50%}";

applyPolyfills();
class TabSwitcher {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /** identifier of the targeted tab */
        this.tabId = "";
        this.tabContainer = null;
        /** shows the button as activated - this should be in sync with the tab */
        this.active = false;
    }
    componentWillLoad() {
        if (this.tabId === "")
            return;
        this.tabContainer = document
            .querySelector(`ux-tab[tab-id=${this.tabId}]`)
            .closest("ux-tab-container");
        this.active = this.tabContainer.activeTabId === this.tabId;
        this.tabContainer.addEventListener("uxActiveTabSet", (e) => {
            this.active = e.detail === this.tabId;
        });
    }
    render() {
        return (h(Host, { class: `ux-tab-switcher ux-button ux-button--${this.active ? "toggle-active" : "toggle"}`, onClick: () => {
                if (this.tabContainer === null || this.tabId === "")
                    return;
                this.tabContainer.setActiveTab(this.tabId);
            } }, h("slot", null)));
    }
}
TabSwitcher.style = tabSwitcherCss;

export { TabSwitcher as ux_tab_switcher };
