import { r as registerInstance, h, H as Host, g as getElement } from './index-6beb7a83.js';

const tabCss = ".ux-tab{display:none}.ux-tab.is-active{display:block}";

class Tab {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /** Sets the name for the corresponding tab-button */
        this.name = "";
        /** Sets ID for Tab */
        this.tabId = "";
        /** Boolean to indicate active tab */
        this.active = false;
    }
    setActiveTab(event) {
        this.active = event.detail === this.tabId;
    }
    render() {
        return (h(Host, { class: `ux-tab ${this.active ? "is-active" : ""}` }, h("slot", null)));
    }
    get domNode() { return getElement(this); }
}
Tab.style = tabCss;

export { Tab as ux_tab };
