/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "./stencil-public-runtime";
export namespace Components {
    interface UxAutosuggestInput {
        /**
          * id attribute for input. A unique id will be generated if this is empty
         */
        "inputId"?: string;
        /**
          * label for input
         */
        "label"?: string;
        /**
          * name attribute for input
         */
        "name"?: string;
        /**
          * placeholder text for input
         */
        "placeholder"?: string;
        /**
          * URL for autosuggest-API
         */
        "url"?: string;
    }
    interface UxAutosuggestItem {
        /**
          * optional image URL
         */
        "image"?: string;
        /**
          * search query that will be highlighted in the text
         */
        "input"?: string;
        /**
          * subline below the text
         */
        "subline"?: string;
        /**
          * suggestion text that matches the input
         */
        "text"?: string;
    }
    interface UxCheckbox {
        /**
          * indicates if the checkbox is checked
         */
        "checked": boolean;
        /**
          * indicates if the checkbox is disabled
         */
        "disabled": boolean;
        /**
          * text inside the label element, visible to the user
         */
        "label": string;
        /**
          * name which is used for checkbox groups or as identifier in forms
         */
        "name": string;
        /**
          * value of the input element, not visible to the user
         */
        "value": string;
    }
    interface UxCheckboxListItem {
        /**
          * indicates if the checkbox is checked
         */
        "checked": boolean;
        /**
          * indicates if the checkbox is disabled
         */
        "disabled": boolean;
        /**
          * This is the label that is displayed for this item inside the dropdown
         */
        "label": string;
        /**
          * name which is used for checkbox groups or as identifier in forms
         */
        "name": string;
        /**
          * this value is used on the checkbox inside this item
         */
        "value": string;
    }
    interface UxCopyToClipboard {
        /**
          * Default icon
         */
        "clickToCopyIcon": string;
        /**
          * Icon shown after copy link was clicked
         */
        "clickToCopyIconSuccessful": string;
        /**
          * Default message which indicates link is copyable
         */
        "clickToCopyMessage": string;
        /**
          * Message which gets shown after clicking the copy link
         */
        "clickToCopyMessageSuccessful": string;
        /**
          * Setting wether link to be copied is hidden
         */
        "hideTextToCopy"?: boolean;
        /**
          * Link which can be copied
         */
        "textToCopy": string;
    }
    interface UxDataIngest {
    }
    interface UxDateTime {
        /**
          * Format String according to https://day.js.org/docs/en/display/format example: "DD.MM.YYYY HH:mm". You can escape characters by wrapping them in []. For now this webcomponent displays localized parts in a date like "Monday" only in English
         */
        "format": string;
        /**
          * UTC time in a ISO_8601 Format https://en.wikipedia.org/wiki/ISO_8601 example: 2020-05-20 17:32:33
         */
        "utc": string;
    }
    interface UxDropdown {
        /**
          * This toggles the text-input to filter the dropdown items
         */
        "filterable": boolean;
        /**
          * Text displayed on the Dropdown
         */
        "label": string;
        /**
          * Name Identifies the dropdown in a bigger context (for example in forms, filters)
         */
        "name": string;
    }
    interface UxFilter {
        /**
          * This is a URL to a JSON API.
         */
        "endpoint": string;
    }
    interface UxIcon {
        /**
          * name of icon
         */
        "name": string;
    }
    interface UxInfiniteScrollSensor {
        /**
          * is true after the event was fired. This prevents the event from firing again. set this to false to re-enable the event
         */
        "hasFired": boolean;
        /**
          * this name will also be in the event
         */
        "name": string;
    }
    interface UxList {
        /**
          * enables the search field inside the list
         */
        "filterable": boolean;
        /**
          * set the Content from outside
         */
        "setFilterValues": (filterValues: Array<any>) => Promise<void>;
    }
    interface UxNumberInput {
        /**
          * initial value for the input
         */
        "initialValue"?: string;
        /**
          * max value
         */
        "max"?: string;
        /**
          * min value
         */
        "min"?: string;
        /**
          * name attribute for the input
         */
        "name"?: string;
        /**
          * size of increment/decrement for the plus/minus button
         */
        "step"?: string;
    }
    interface UxScrollToTopButton {
    }
    interface UxSelect {
        /**
          * input name which is used as identifier in forms
         */
        "name": string;
    }
    interface UxTab {
        /**
          * Sets the name for the corresponding tab-button
         */
        "name": string;
        /**
          * Sets ID for Tab
         */
        "tabId": string;
    }
    interface UxTabButton {
        /**
          * Contains the current active tab string
         */
        "activeTab": string;
        /**
          * Displays the label of the tab
         */
        "name": string;
        /**
          * Contains this tabs ID
         */
        "tabId": string;
    }
    interface UxTabContainer {
        /**
          * prop which holds the active tab id
         */
        "activeTabId": string;
        /**
          * when this is true, the tab navigation will not be displayed
         */
        "noNavigation": boolean;
        /**
          * id of the tab which will be active
         */
        "setActiveTab": (id: string) => Promise<void>;
    }
    interface UxTabSwitcher {
        /**
          * identifier of the targeted tab
         */
        "tabId": string;
    }
    interface UxTable {
        /**
          * zero-based index of the column that should be fixed on smaller viewports - defaults to the first col
         */
        "fixedColIndex": number;
        /**
          * the table should always be at least 100% wide
         */
        "fullWidth": boolean;
        /**
          * The link in the last column will be added into the fixed column on smaller viewports
         */
        "hasFixedLink": boolean;
        /**
          * maximum number of pixels that the fixed column is allowed to be wide
         */
        "maxFixedColWidth": number;
        /**
          * the table should sort its static data by itself. Do not use this if the data needs to be sorted by some logic (i.e. via an API)
         */
        "sortable": boolean;
    }
    interface UxTableSort {
        /**
          * This is the name to send when it should sort ascending
         */
        "ascName": string;
        /**
          * This is the name to send when it should sort descending
         */
        "descName": string;
        /**
          * indicates in which direction the data is already sorted. This has to be empty when it is not sorted yet. Setting this does not trigger the sorting event. Clicking the button will update this attribute.
         */
        "sortedDirection": "" | "asc" | "desc";
    }
    interface UxTag {
        /**
          * This connects the tag with the container
         */
        "reference": string;
    }
    interface UxToggleButton {
        /**
          * the component sets this to true when an error occurs while communicating with the API
         */
        "error": boolean;
        /**
          * name of icon to show when in state "off"
         */
        "iconOff": string;
        /**
          * name of icon to show when in state "on"
         */
        "iconOn": string;
        /**
          * is the toggle on or off
         */
        "on": boolean;
        /**
          * this id is used to identify similar toggleButtons to synchronise them
         */
        "syncId": string;
        /**
          * text to show on toggle button in "off" state (if used with icon it will be the title attribute)
         */
        "textOff": string;
        /**
          * text to show on toggle button in "on" state (if used with icon it will be the title attribute)
         */
        "textOn": string;
        /**
          * optional url to be called when the item should be toggled
         */
        "toggleUrl": string;
        /**
          * optional url to be called when the item should be untoggled (-> off), can be left empty if it is identical to toggleUrl
         */
        "untoggleUrl": string;
    }
}
declare global {
    interface HTMLUxAutosuggestInputElement extends Components.UxAutosuggestInput, HTMLStencilElement {
    }
    var HTMLUxAutosuggestInputElement: {
        prototype: HTMLUxAutosuggestInputElement;
        new (): HTMLUxAutosuggestInputElement;
    };
    interface HTMLUxAutosuggestItemElement extends Components.UxAutosuggestItem, HTMLStencilElement {
    }
    var HTMLUxAutosuggestItemElement: {
        prototype: HTMLUxAutosuggestItemElement;
        new (): HTMLUxAutosuggestItemElement;
    };
    interface HTMLUxCheckboxElement extends Components.UxCheckbox, HTMLStencilElement {
    }
    var HTMLUxCheckboxElement: {
        prototype: HTMLUxCheckboxElement;
        new (): HTMLUxCheckboxElement;
    };
    interface HTMLUxCheckboxListItemElement extends Components.UxCheckboxListItem, HTMLStencilElement {
    }
    var HTMLUxCheckboxListItemElement: {
        prototype: HTMLUxCheckboxListItemElement;
        new (): HTMLUxCheckboxListItemElement;
    };
    interface HTMLUxCopyToClipboardElement extends Components.UxCopyToClipboard, HTMLStencilElement {
    }
    var HTMLUxCopyToClipboardElement: {
        prototype: HTMLUxCopyToClipboardElement;
        new (): HTMLUxCopyToClipboardElement;
    };
    interface HTMLUxDataIngestElement extends Components.UxDataIngest, HTMLStencilElement {
    }
    var HTMLUxDataIngestElement: {
        prototype: HTMLUxDataIngestElement;
        new (): HTMLUxDataIngestElement;
    };
    interface HTMLUxDateTimeElement extends Components.UxDateTime, HTMLStencilElement {
    }
    var HTMLUxDateTimeElement: {
        prototype: HTMLUxDateTimeElement;
        new (): HTMLUxDateTimeElement;
    };
    interface HTMLUxDropdownElement extends Components.UxDropdown, HTMLStencilElement {
    }
    var HTMLUxDropdownElement: {
        prototype: HTMLUxDropdownElement;
        new (): HTMLUxDropdownElement;
    };
    interface HTMLUxFilterElement extends Components.UxFilter, HTMLStencilElement {
    }
    var HTMLUxFilterElement: {
        prototype: HTMLUxFilterElement;
        new (): HTMLUxFilterElement;
    };
    interface HTMLUxIconElement extends Components.UxIcon, HTMLStencilElement {
    }
    var HTMLUxIconElement: {
        prototype: HTMLUxIconElement;
        new (): HTMLUxIconElement;
    };
    interface HTMLUxInfiniteScrollSensorElement extends Components.UxInfiniteScrollSensor, HTMLStencilElement {
    }
    var HTMLUxInfiniteScrollSensorElement: {
        prototype: HTMLUxInfiniteScrollSensorElement;
        new (): HTMLUxInfiniteScrollSensorElement;
    };
    interface HTMLUxListElement extends Components.UxList, HTMLStencilElement {
    }
    var HTMLUxListElement: {
        prototype: HTMLUxListElement;
        new (): HTMLUxListElement;
    };
    interface HTMLUxNumberInputElement extends Components.UxNumberInput, HTMLStencilElement {
    }
    var HTMLUxNumberInputElement: {
        prototype: HTMLUxNumberInputElement;
        new (): HTMLUxNumberInputElement;
    };
    interface HTMLUxScrollToTopButtonElement extends Components.UxScrollToTopButton, HTMLStencilElement {
    }
    var HTMLUxScrollToTopButtonElement: {
        prototype: HTMLUxScrollToTopButtonElement;
        new (): HTMLUxScrollToTopButtonElement;
    };
    interface HTMLUxSelectElement extends Components.UxSelect, HTMLStencilElement {
    }
    var HTMLUxSelectElement: {
        prototype: HTMLUxSelectElement;
        new (): HTMLUxSelectElement;
    };
    interface HTMLUxTabElement extends Components.UxTab, HTMLStencilElement {
    }
    var HTMLUxTabElement: {
        prototype: HTMLUxTabElement;
        new (): HTMLUxTabElement;
    };
    interface HTMLUxTabButtonElement extends Components.UxTabButton, HTMLStencilElement {
    }
    var HTMLUxTabButtonElement: {
        prototype: HTMLUxTabButtonElement;
        new (): HTMLUxTabButtonElement;
    };
    interface HTMLUxTabContainerElement extends Components.UxTabContainer, HTMLStencilElement {
    }
    var HTMLUxTabContainerElement: {
        prototype: HTMLUxTabContainerElement;
        new (): HTMLUxTabContainerElement;
    };
    interface HTMLUxTabSwitcherElement extends Components.UxTabSwitcher, HTMLStencilElement {
    }
    var HTMLUxTabSwitcherElement: {
        prototype: HTMLUxTabSwitcherElement;
        new (): HTMLUxTabSwitcherElement;
    };
    interface HTMLUxTableElement extends Components.UxTable, HTMLStencilElement {
    }
    var HTMLUxTableElement: {
        prototype: HTMLUxTableElement;
        new (): HTMLUxTableElement;
    };
    interface HTMLUxTableSortElement extends Components.UxTableSort, HTMLStencilElement {
    }
    var HTMLUxTableSortElement: {
        prototype: HTMLUxTableSortElement;
        new (): HTMLUxTableSortElement;
    };
    interface HTMLUxTagElement extends Components.UxTag, HTMLStencilElement {
    }
    var HTMLUxTagElement: {
        prototype: HTMLUxTagElement;
        new (): HTMLUxTagElement;
    };
    interface HTMLUxToggleButtonElement extends Components.UxToggleButton, HTMLStencilElement {
    }
    var HTMLUxToggleButtonElement: {
        prototype: HTMLUxToggleButtonElement;
        new (): HTMLUxToggleButtonElement;
    };
    interface HTMLElementTagNameMap {
        "ux-autosuggest-input": HTMLUxAutosuggestInputElement;
        "ux-autosuggest-item": HTMLUxAutosuggestItemElement;
        "ux-checkbox": HTMLUxCheckboxElement;
        "ux-checkbox-list-item": HTMLUxCheckboxListItemElement;
        "ux-copy-to-clipboard": HTMLUxCopyToClipboardElement;
        "ux-data-ingest": HTMLUxDataIngestElement;
        "ux-date-time": HTMLUxDateTimeElement;
        "ux-dropdown": HTMLUxDropdownElement;
        "ux-filter": HTMLUxFilterElement;
        "ux-icon": HTMLUxIconElement;
        "ux-infinite-scroll-sensor": HTMLUxInfiniteScrollSensorElement;
        "ux-list": HTMLUxListElement;
        "ux-number-input": HTMLUxNumberInputElement;
        "ux-scroll-to-top-button": HTMLUxScrollToTopButtonElement;
        "ux-select": HTMLUxSelectElement;
        "ux-tab": HTMLUxTabElement;
        "ux-tab-button": HTMLUxTabButtonElement;
        "ux-tab-container": HTMLUxTabContainerElement;
        "ux-tab-switcher": HTMLUxTabSwitcherElement;
        "ux-table": HTMLUxTableElement;
        "ux-table-sort": HTMLUxTableSortElement;
        "ux-tag": HTMLUxTagElement;
        "ux-toggle-button": HTMLUxToggleButtonElement;
    }
}
declare namespace LocalJSX {
    interface UxAutosuggestInput {
        /**
          * id attribute for input. A unique id will be generated if this is empty
         */
        "inputId"?: string;
        /**
          * label for input
         */
        "label"?: string;
        /**
          * name attribute for input
         */
        "name"?: string;
        /**
          * placeholder text for input
         */
        "placeholder"?: string;
        /**
          * URL for autosuggest-API
         */
        "url"?: string;
    }
    interface UxAutosuggestItem {
        /**
          * optional image URL
         */
        "image"?: string;
        /**
          * search query that will be highlighted in the text
         */
        "input"?: string;
        /**
          * subline below the text
         */
        "subline"?: string;
        /**
          * suggestion text that matches the input
         */
        "text"?: string;
    }
    interface UxCheckbox {
        /**
          * indicates if the checkbox is checked
         */
        "checked"?: boolean;
        /**
          * indicates if the checkbox is disabled
         */
        "disabled"?: boolean;
        /**
          * text inside the label element, visible to the user
         */
        "label"?: string;
        /**
          * name which is used for checkbox groups or as identifier in forms
         */
        "name"?: string;
        /**
          * value of the input element, not visible to the user
         */
        "value"?: string;
    }
    interface UxCheckboxListItem {
        /**
          * indicates if the checkbox is checked
         */
        "checked"?: boolean;
        /**
          * indicates if the checkbox is disabled
         */
        "disabled"?: boolean;
        /**
          * This is the label that is displayed for this item inside the dropdown
         */
        "label"?: string;
        /**
          * name which is used for checkbox groups or as identifier in forms
         */
        "name"?: string;
        /**
          * this value is used on the checkbox inside this item
         */
        "value"?: string;
    }
    interface UxCopyToClipboard {
        /**
          * Default icon
         */
        "clickToCopyIcon"?: string;
        /**
          * Icon shown after copy link was clicked
         */
        "clickToCopyIconSuccessful"?: string;
        /**
          * Default message which indicates link is copyable
         */
        "clickToCopyMessage"?: string;
        /**
          * Message which gets shown after clicking the copy link
         */
        "clickToCopyMessageSuccessful"?: string;
        /**
          * Setting wether link to be copied is hidden
         */
        "hideTextToCopy"?: boolean;
        /**
          * Link which can be copied
         */
        "textToCopy"?: string;
    }
    interface UxDataIngest {
        /**
          * Is fired when a request is sent with the name of the property
         */
        "onUxStartRequest"?: (event: CustomEvent<string>) => void;
    }
    interface UxDateTime {
        /**
          * Format String according to https://day.js.org/docs/en/display/format example: "DD.MM.YYYY HH:mm". You can escape characters by wrapping them in []. For now this webcomponent displays localized parts in a date like "Monday" only in English
         */
        "format"?: string;
        /**
          * UTC time in a ISO_8601 Format https://en.wikipedia.org/wiki/ISO_8601 example: 2020-05-20 17:32:33
         */
        "utc"?: string;
    }
    interface UxDropdown {
        /**
          * This toggles the text-input to filter the dropdown items
         */
        "filterable"?: boolean;
        /**
          * Text displayed on the Dropdown
         */
        "label"?: string;
        /**
          * Name Identifies the dropdown in a bigger context (for example in forms, filters)
         */
        "name"?: string;
    }
    interface UxFilter {
        /**
          * This is a URL to a JSON API.
         */
        "endpoint"?: string;
        /**
          * is triggered when any input inside the filter was changed
         */
        "onUxFilterChange"?: (event: CustomEvent<any>) => void;
    }
    interface UxIcon {
        /**
          * name of icon
         */
        "name"?: string;
    }
    interface UxInfiniteScrollSensor {
        /**
          * is true after the event was fired. This prevents the event from firing again. set this to false to re-enable the event
         */
        "hasFired"?: boolean;
        /**
          * this name will also be in the event
         */
        "name"?: string;
        /**
          * is called when it is scrolled into view
         */
        "onUxInfiniteScrollSensorScrolledIntoView"?: (event: CustomEvent<any>) => void;
    }
    interface UxList {
        /**
          * enables the search field inside the list
         */
        "filterable"?: boolean;
    }
    interface UxNumberInput {
        /**
          * initial value for the input
         */
        "initialValue"?: string;
        /**
          * max value
         */
        "max"?: string;
        /**
          * min value
         */
        "min"?: string;
        /**
          * name attribute for the input
         */
        "name"?: string;
        /**
          * size of increment/decrement for the plus/minus button
         */
        "step"?: string;
    }
    interface UxScrollToTopButton {
    }
    interface UxSelect {
        /**
          * input name which is used as identifier in forms
         */
        "name"?: string;
        /**
          * event to set the currently active option
         */
        "onUxSelectChange"?: (event: CustomEvent<any>) => void;
    }
    interface UxTab {
        /**
          * Sets the name for the corresponding tab-button
         */
        "name"?: string;
        /**
          * Sets ID for Tab
         */
        "tabId"?: string;
    }
    interface UxTabButton {
        /**
          * Contains the current active tab string
         */
        "activeTab"?: string;
        /**
          * Displays the label of the tab
         */
        "name"?: string;
        /**
          * Contains this tabs ID
         */
        "tabId"?: string;
    }
    interface UxTabContainer {
        /**
          * prop which holds the active tab id
         */
        "activeTabId"?: string;
        /**
          * when this is true, the tab navigation will not be displayed
         */
        "noNavigation"?: boolean;
        /**
          * event when the active tab was set
         */
        "onUxActiveTabSet"?: (event: CustomEvent<string>) => void;
    }
    interface UxTabSwitcher {
        /**
          * identifier of the targeted tab
         */
        "tabId"?: string;
    }
    interface UxTable {
        /**
          * zero-based index of the column that should be fixed on smaller viewports - defaults to the first col
         */
        "fixedColIndex"?: number;
        /**
          * the table should always be at least 100% wide
         */
        "fullWidth"?: boolean;
        /**
          * The link in the last column will be added into the fixed column on smaller viewports
         */
        "hasFixedLink"?: boolean;
        /**
          * maximum number of pixels that the fixed column is allowed to be wide
         */
        "maxFixedColWidth"?: number;
        /**
          * the table should sort its static data by itself. Do not use this if the data needs to be sorted by some logic (i.e. via an API)
         */
        "sortable"?: boolean;
    }
    interface UxTableSort {
        /**
          * This is the name to send when it should sort ascending
         */
        "ascName"?: string;
        /**
          * This is the name to send when it should sort descending
         */
        "descName"?: string;
        /**
          * when the sort Button is clicked it emits the asc or desc name
         */
        "onUxTableSort"?: (event: CustomEvent<any>) => void;
        /**
          * indicates in which direction the data is already sorted. This has to be empty when it is not sorted yet. Setting this does not trigger the sorting event. Clicking the button will update this attribute.
         */
        "sortedDirection"?: "" | "asc" | "desc";
    }
    interface UxTag {
        /**
          * when the tag is removed
         */
        "onUxRemove"?: (event: CustomEvent<any>) => void;
        /**
          * This connects the tag with the container
         */
        "reference"?: string;
    }
    interface UxToggleButton {
        /**
          * the component sets this to true when an error occurs while communicating with the API
         */
        "error"?: boolean;
        /**
          * name of icon to show when in state "off"
         */
        "iconOff"?: string;
        /**
          * name of icon to show when in state "on"
         */
        "iconOn"?: string;
        /**
          * is the toggle on or off
         */
        "on"?: boolean;
        /**
          * when button is clicked - returns the new toggle state as boolean
         */
        "onUxToggle"?: (event: CustomEvent<boolean>) => void;
        /**
          * when call to toggle url failed - returns the original toggle state as boolean
         */
        "onUxToggleFailed"?: (event: CustomEvent<boolean>) => void;
        /**
          * this id is used to identify similar toggleButtons to synchronise them
         */
        "syncId"?: string;
        /**
          * text to show on toggle button in "off" state (if used with icon it will be the title attribute)
         */
        "textOff"?: string;
        /**
          * text to show on toggle button in "on" state (if used with icon it will be the title attribute)
         */
        "textOn"?: string;
        /**
          * optional url to be called when the item should be toggled
         */
        "toggleUrl"?: string;
        /**
          * optional url to be called when the item should be untoggled (-> off), can be left empty if it is identical to toggleUrl
         */
        "untoggleUrl"?: string;
    }
    interface IntrinsicElements {
        "ux-autosuggest-input": UxAutosuggestInput;
        "ux-autosuggest-item": UxAutosuggestItem;
        "ux-checkbox": UxCheckbox;
        "ux-checkbox-list-item": UxCheckboxListItem;
        "ux-copy-to-clipboard": UxCopyToClipboard;
        "ux-data-ingest": UxDataIngest;
        "ux-date-time": UxDateTime;
        "ux-dropdown": UxDropdown;
        "ux-filter": UxFilter;
        "ux-icon": UxIcon;
        "ux-infinite-scroll-sensor": UxInfiniteScrollSensor;
        "ux-list": UxList;
        "ux-number-input": UxNumberInput;
        "ux-scroll-to-top-button": UxScrollToTopButton;
        "ux-select": UxSelect;
        "ux-tab": UxTab;
        "ux-tab-button": UxTabButton;
        "ux-tab-container": UxTabContainer;
        "ux-tab-switcher": UxTabSwitcher;
        "ux-table": UxTable;
        "ux-table-sort": UxTableSort;
        "ux-tag": UxTag;
        "ux-toggle-button": UxToggleButton;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "ux-autosuggest-input": LocalJSX.UxAutosuggestInput & JSXBase.HTMLAttributes<HTMLUxAutosuggestInputElement>;
            "ux-autosuggest-item": LocalJSX.UxAutosuggestItem & JSXBase.HTMLAttributes<HTMLUxAutosuggestItemElement>;
            "ux-checkbox": LocalJSX.UxCheckbox & JSXBase.HTMLAttributes<HTMLUxCheckboxElement>;
            "ux-checkbox-list-item": LocalJSX.UxCheckboxListItem & JSXBase.HTMLAttributes<HTMLUxCheckboxListItemElement>;
            "ux-copy-to-clipboard": LocalJSX.UxCopyToClipboard & JSXBase.HTMLAttributes<HTMLUxCopyToClipboardElement>;
            "ux-data-ingest": LocalJSX.UxDataIngest & JSXBase.HTMLAttributes<HTMLUxDataIngestElement>;
            "ux-date-time": LocalJSX.UxDateTime & JSXBase.HTMLAttributes<HTMLUxDateTimeElement>;
            "ux-dropdown": LocalJSX.UxDropdown & JSXBase.HTMLAttributes<HTMLUxDropdownElement>;
            "ux-filter": LocalJSX.UxFilter & JSXBase.HTMLAttributes<HTMLUxFilterElement>;
            "ux-icon": LocalJSX.UxIcon & JSXBase.HTMLAttributes<HTMLUxIconElement>;
            "ux-infinite-scroll-sensor": LocalJSX.UxInfiniteScrollSensor & JSXBase.HTMLAttributes<HTMLUxInfiniteScrollSensorElement>;
            "ux-list": LocalJSX.UxList & JSXBase.HTMLAttributes<HTMLUxListElement>;
            "ux-number-input": LocalJSX.UxNumberInput & JSXBase.HTMLAttributes<HTMLUxNumberInputElement>;
            "ux-scroll-to-top-button": LocalJSX.UxScrollToTopButton & JSXBase.HTMLAttributes<HTMLUxScrollToTopButtonElement>;
            "ux-select": LocalJSX.UxSelect & JSXBase.HTMLAttributes<HTMLUxSelectElement>;
            "ux-tab": LocalJSX.UxTab & JSXBase.HTMLAttributes<HTMLUxTabElement>;
            "ux-tab-button": LocalJSX.UxTabButton & JSXBase.HTMLAttributes<HTMLUxTabButtonElement>;
            "ux-tab-container": LocalJSX.UxTabContainer & JSXBase.HTMLAttributes<HTMLUxTabContainerElement>;
            "ux-tab-switcher": LocalJSX.UxTabSwitcher & JSXBase.HTMLAttributes<HTMLUxTabSwitcherElement>;
            "ux-table": LocalJSX.UxTable & JSXBase.HTMLAttributes<HTMLUxTableElement>;
            "ux-table-sort": LocalJSX.UxTableSort & JSXBase.HTMLAttributes<HTMLUxTableSortElement>;
            "ux-tag": LocalJSX.UxTag & JSXBase.HTMLAttributes<HTMLUxTagElement>;
            "ux-toggle-button": LocalJSX.UxToggleButton & JSXBase.HTMLAttributes<HTMLUxToggleButtonElement>;
        }
    }
}
